<?php

namespace Application\Controller;

use Application\Mvc\Controller\ThirdToolController;
use Laminas\Cache\Exception\ExceptionInterface;
use Laminas\View\Model\JsonModel;

class ThirdController extends ThirdToolController
{
    /**
     * @throws ExceptionInterface
     */
    public function sourceAction(): JsonModel
    {
        $sv = $this->params()->fromPost('sv');
        $method = $this->params()->fromPost('method');
        $params = $this->params()->fromPost('params');

        $sourceData = $this->LocalService()->toolSys->sasSourceData($sv, $method, $params);
        return $this->RenderApiJson()->Success([], '', ['data' => $sourceData]);
    }
}